Gateways
Get compact cross-Project setup and customer status for a workspace Gateway.
Authorization
apiKey AuthorizationBearer <token>
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
gateway*string
Value in
- "ai"
- "encryption"
Query Parameters
workspace?string
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
Match
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$Length
4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/gateways/ai/overview"{ "generatedAt": "2019-08-24T14:15:22Z", "summary": { "totalProjects": 0, "gatewayProjects": 0, "activeProjects": 0, "setupInProgressProjects": 0, "needsAttentionProjects": 0, "connectedCustomers": 0 }, "projects": [ { "id": "string", "name": "string", "state": "not-set-up", "connectedCustomers": 0, "settingUpCustomers": 0, "needsAttentionCustomers": 0, "revokedCustomers": 0 } ]}